2008年7月19日

[debian-users:50764] Re: Can't compile kernel-source-2.4.27

カーネルのコンパイルって何年もやっていませんが。

From: FUJINO Yuzo <yuzo.fujino@xxxxx>
Subject: [debian-users:50763] Can't compile kernel-source-2.4.27
Date: Fri, 18 Jul 2008 13:31:10 +0900
> 必要があって一年以上ぶりに(etch に upgrade してから初めて)古い
> カーネルをコンパイルしようとしたら下記のエラーで出来ません。

> ・2.6.xx のコンパイルは出来ます

> ・コンパイルする時にkernel-2.4.xx, 2.6.xx のいずれで起動しても、
> gcc を 4.1, 3.4 などで試してもいずれも駄目

> /usr/src/kernel-source-2.4.27/include/asm/unistd.h:375: warning: conflicting types for built-in function '_exit'
> sched.c:213: error: conflicting types for 'reschedule_idle'

この“conflicting types for reschedule_idle”で検索したところ、
Plamo関連のページがみつかりました。
http://plamo.linet.gr.jp/index.php?PlamoWall/6

そこに書かれていることが正しいのであれば、まずは新しいカーネルを
試してみるとよさそうです。2.4系列だと2.4.36.6が最新みたいです。
--
喜瀬“冬猫”浩


投稿者 xml-rpc : 2008年7月19日 00:06
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/75477
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。